﻿using System;
using System.Windows.Navigation;
namespace P22_1
{
    class CustomURIMapper : UriMapperBase
    {
        private string tempUri;

        public override Uri MapUri(Uri uri)
        {
            tempUri = uri.ToString();

            // Запуск приложения по сопоставлению с типом файла, для открытия внешнего файла
            // Адрес запуска может выглядеть так: /FileTypeAssociation?fileToken=89819279-4fe0-4531-9f57-d633f0949a19
            if (tempUri.Contains("/FileTypeAssociation"))
            {
                // Получаем ID файла (то, что после "fileToken=").
                int fileIDIndex = tempUri.IndexOf("fileToken=") + 10;
                string fileID = tempUri.Substring(fileIDIndex);

                // Вызываем страницу просмотра файла с полученным идентификатором.
                return new Uri("/FileViewPage.xaml?fileToken=" + fileID, UriKind.Relative);
            }

            // В противном случае производится обычный запуск приложения.
            return uri;
        }
    }
}